PETSc version 3.15.5
Fix/Edit manual page

# DMPlexTSComputeIJacobianFEM

Form the local Jacobian J from the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeIJacobianFEM(DM dm, PetscReal time, Vec locX, Vec locX_t, PetscReal X_tShift, Mat Jac, Mat JacP, void *user)

### Input Parameters

| dm | - The mesh
| t | - The time
| locX | - Local solution
| locX_t | - Local solution time derivative, or NULL
| X_tshift | - The multiplicative parameter for dF/du_t
| user | - The user context

### Output Parameter

| locF | - Local output vector

### See Also

DMPlexComputeJacobianActionFEM()

### Level

developer

### Location

src/ts/utils/dmplexts.c

### Examples

src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex46.c.html
src/ts/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages